
#ifndef RESAMPLE_FILEIO_H
#define RESAMPLE_FILEIO_H

/* open input and output file with error checking	*/

void	open_files (void);

/* close input and output file				*/

void	close_files (void);

/* read BUFFER_SIZE / 4 samples from input file		*/

void	read_block (void);

/* write data to output file				*/

void	write_block (void);

/* check if input file is IRCAM format, and read parameters from header	*/

void	read_header (void);

/* write output file header if output format is IRCAM		*/

void	write_header (void);

/* IRCAM header */

#define SFHEADER_SIZE	1024	/* header length in bytes	*/

typedef struct {
	long	magic;		/* magic number (0x1A364)	*/
	float	sr;		/* sample rate			*/
	long	nchnls;		/* number of channels		*/
	long	format;		/* sample size			*/
	char	sfcode[SFHEADER_SIZE];
} SFHEADER;

#endif

